# 배포 파일 구성

## 1. SysMaster DB 8.3 파일 구성

설치 환경에 따른 SysMaster DB 8.3의 배포 파일은 다음과 같이 구성된다.

### **Docker-compose (Podman-compose) 환경**

```
sysmaster-db
sysmaster-db-{version}.tar
meta.conf
repo.conf
docker-compose.yml
podman-compose.yml
.env
sysmaster-db-patch-{version}.tar
patch
license
    +-- oss_license
        |-- font_licenses.md
        |-- OSS_LICENSES.md
        |-- THIRD-PARTY-NOTICES.txt
        |-- (and other open-source license files)
```

### **Kubernetes 환경**

```
sysmaster-db-{version}.tar
kubernetes
    +-- init
        |-- 0.namespace.yaml
        |-- configmap.yaml
        |-- pvc.yaml
        |-- service.yaml
    +-- db
        |-- metadb-deployment.yaml
        |-- repodb-deployment.yaml
    +-- kafka
        |-- kafka.yaml
    +-- sysmaster
        |-- analyzer-deployment.yaml
        |-- client-deployment.yaml
        |-- collector-deployment.yaml
        |-- sdm-deployment.yaml
        |-- tibero-master-deployment.yaml
sysmaster-db-patch-{version}.tar
patch
license
    +-- oss_license
        |-- font_licenses.md
        |-- OSS_LICENSES.md
        |-- THIRD-PARTY-NOTICES.txt
        |-- (and other open-source license files)
```

***

## 2. Java TPM Agent 파일 구성

Java TPM Agent의 배포 파일은 다음과 같이 구성된다.

```
jdk8
    +-- aix7
        |-- ibm-semeru-open-jdk_ppc64_aix_8u382b05_openj9-0.40.0.tar
    +-- centos7
        |-- OpenJDK8U-jdk_x64_linux_8u342b07.tar.gz
lib
    +-- aix7
        |-- libJNITpmStat.so
    +-- centos7
        |-- libJNITpmStat.so
application.yml
set.sh
tpmagent.jar
tpmctl.sh
tryrun.sh
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tibero.com/sysmasterdb/8.3_manual/installation-guide/prerequisite/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
